import request from '@/router/request';

// 查询quanyi列表
export function listQuanyi(query) {
    return request({
        url: '/system/shQuanyi/list',
        method: 'get',
        params: query,
        headers: {
            isToken: true,
        },
    })
}

// 查询quanyi详细
export function getQuanyi(id) {
    return request({
        url: '/system/shQuanyi/' + id,
        method: 'get',
        headers: {
            isToken: true,
        },
    })
}

// 新增quanyi
export function addQuanyi(data) {
    return request({
        url: '/system/shQuanyi',
        method: 'post',
        data: data,
        headers: {
            isToken: true,
        },
    })
}

// 修改quanyi
export function updateQuanyi(data) {
    return request({
        url: '/system/shQuanyi',
        method: 'put',
        data: data,
        headers: {
            isToken: true,
        },
    })
}

// 删除quanyi
export function delQuanyi(id) {
    return request({
        url: '/system/shQuanyi/' + id,
        method: 'delete',
        headers: {
            isToken: true,
        },
    })
}
